#!/bin/sh

# Bootstrap a development environment
#
# This will create the ./configure script and other associated
# files. Once this has been run, the developer can run
#
#    $ ./configure 
# or $ ./configure --enable-debug
#
# followed by
#    $ make
#
# and have a working development environment.

set -e	# Let the script fail if any command fails

aclocal
test -f ChangeLog || echo "Dummy Changelog: Please refer to the subversion log instead." > ChangeLog
automake --gnu --add-missing
autoconf

echo All ready to run ./configure and make
